Index: /main/waeup.kofa/trunk/src/waeup/kofa/catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/catalog.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/catalog.py	(revision 7811)
@@ -27,9 +27,9 @@
 from zope.intid.interfaces import IIntIds
 
-from waeup.sirp.app import University
-from waeup.sirp.interfaces import IQueryResultItem
+from waeup.kofa.app import University
+from waeup.kofa.interfaces import IQueryResultItem
 
 # not yet used
-class SIRPQuery(Query):
+class KOFAQuery(Query):
     """A hurry.query-like query that supports also ``apply``.
     """
@@ -50,5 +50,5 @@
         return results
 
-grok.global_utility(SIRPQuery)
+grok.global_utility(KOFAQuery)
 
 # not yet used
Index: /main/waeup.kofa/trunk/src/waeup/kofa/configuration.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/configuration.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/configuration.py	(revision 7811)
@@ -22,8 +22,8 @@
 from zope.component.interfaces import IFactory
 from zope.interface import implementedBy
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     ISessionConfiguration, IConfigurationContainer, ISessionConfigurationAdd,
     academic_sessions_vocab)
-from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.kofa.utils.helpers import attrs_to_fields
 
 class ConfigurationContainer(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/configure.zcml
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/configure.zcml	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/configure.zcml	(revision 7811)
@@ -3,9 +3,9 @@
            xmlns:i18n="http://namespaces.zope.org/i18n">
   <include package="grok" />
-  <include package="waeup.sirp" file="meta.zcml" />
+  <include package="waeup.kofa" file="meta.zcml" />
   <includeDependencies package="." />
   <grok:grok package="." />
   <i18n:registerTranslations directory="locales" />
 
-  <includeOverrides package="waeup.sirp.utils" file="overrides.zcml" />
+  <includeOverrides package="waeup.kofa.utils" file="overrides.zcml" />
 </configure>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/datacenter.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/datacenter.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/datacenter.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""SIRP data center.
+"""KOFA data center.
 
 The waeup data center cares for management of upload data and provides
@@ -28,9 +28,9 @@
 from zope.component import getUtility
 from zope.component.interfaces import ObjectEvent
-from waeup.sirp.interfaces import (IDataCenter, IDataCenterFile,
+from waeup.kofa.interfaces import (IDataCenter, IDataCenterFile,
                                    IDataCenterStorageMovedEvent,
                                    IDataCenterConfig)
-from waeup.sirp.utils.helpers import copy_filesystem_tree
-from waeup.sirp.utils.logger import Logger
+from waeup.kofa.utils.helpers import copy_filesystem_tree
+from waeup.kofa.utils.logger import Logger
 
 class DataCenter(grok.Container, Logger):
@@ -39,5 +39,5 @@
     grok.implements(IDataCenter)
 
-    logger_name = 'waeup.sirp.${sitename}.datacenter'
+    logger_name = 'waeup.kofa.${sitename}.datacenter'
     logger_filename = 'datacenter.log'
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/ftesting.zcml
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/ftesting.zcml	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/ftesting.zcml	(revision 7811)
@@ -1,15 +1,15 @@
 <configure
    xmlns="http://namespaces.zope.org/zope"
-   xmlns:sirp="http://namespaces.waeup.org/sirp"
-   i18n_domain="waeup.sirp"
-   package="waeup.sirp"
+   xmlns:kofa="http://namespaces.waeup.org/kofa"
+   i18n_domain="waeup.kofa"
+   package="waeup.kofa"
    >
 
   <include package="grok" />
-  <includeOverrides package="waeup.sirp" />
-  <include package="waeup.sirp" file="mail.zcml" />
+  <includeOverrides package="waeup.kofa" />
+  <include package="waeup.kofa" file="mail.zcml" />
 
   <!-- Where should the datacenter reside by default? -->
-  <sirp:datacenter
+  <kofa:datacenter
       path="../../../parts/test/datacenter" />
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/__init__.py	(revision 7811)
@@ -2,6 +2,6 @@
 """
 # Make this a package.
-from waeup.sirp.hostels.container import HostelsContainer
-from waeup.sirp.hostels.hostel import Hostel, Bed
+from waeup.kofa.hostels.container import HostelsContainer
+from waeup.kofa.hostels.hostel import Hostel, Bed
 
 __all__ = [
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 7811)
@@ -22,23 +22,23 @@
 from zope.i18n import translate
 from zope.component import getUtility
-from waeup.sirp.browser import (
-    SIRPEditFormPage, SIRPAddFormPage, SIRPDisplayFormPage,
+from waeup.kofa.browser import (
+    KOFAEditFormPage, KOFAAddFormPage, KOFADisplayFormPage,
     NullValidator)
-from waeup.sirp.browser.breadcrumbs import Breadcrumb
-from waeup.sirp.browser.resources import datepicker, datatable, tabs, warning
-from waeup.sirp.browser.layout import default_primary_nav_template
-from waeup.sirp.browser.pages import delSubobjects
-from waeup.sirp.browser.viewlets import (
+from waeup.kofa.browser.breadcrumbs import Breadcrumb
+from waeup.kofa.browser.resources import datepicker, datatable, tabs, warning
+from waeup.kofa.browser.layout import default_primary_nav_template
+from waeup.kofa.browser.pages import delSubobjects
+from waeup.kofa.browser.viewlets import (
     ManageActionButton, PrimaryNavTab)
-from waeup.sirp.browser.layout import jsaction, action
-from waeup.sirp.interfaces import ISIRPObject, ISIRPUtils
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
-from waeup.sirp.hostels.hostel import Hostel
-from waeup.sirp.hostels.interfaces import (
+from waeup.kofa.browser.layout import jsaction, action
+from waeup.kofa.interfaces import IKOFAObject, IKOFAUtils
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.hostels.vocabularies import NOT_OCCUPIED
+from waeup.kofa.hostels.hostel import Hostel
+from waeup.kofa.hostels.interfaces import (
     IHostelsContainer, IHostel, IBed, IBedAllocateStudent)
 
 def write_log_message(view, message):
-    ob_class = view.__implemented__.__name__.replace('waeup.sirp.','')
+    ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
     view.context.loggerInfo(ob_class, message)
     return
@@ -61,5 +61,5 @@
     """
 
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.order(5)
     grok.require('waeup.viewHostels')
@@ -96,5 +96,5 @@
             mapping = {'a':co[1], 'b':co[2], 'c':co[3]})
 
-class HostelsContainerPage(SIRPDisplayFormPage):
+class HostelsContainerPage(KOFADisplayFormPage):
     """The standard view for hostels containers.
     """
@@ -113,5 +113,5 @@
     text = _('Manage accommodation section')
 
-class HostelsContainerManagePage(SIRPDisplayFormPage):
+class HostelsContainerManagePage(KOFADisplayFormPage):
     """The manage page for hostel containers.
     """
@@ -148,5 +148,5 @@
         return
 
-class HostelAddFormPage(SIRPAddFormPage):
+class HostelAddFormPage(KOFAAddFormPage):
     """Add-form to add a hostel.
     """
@@ -175,5 +175,5 @@
         return
 
-class HostelDisplayFormPage(SIRPDisplayFormPage):
+class HostelDisplayFormPage(KOFADisplayFormPage):
     """ Page to display hostel data
     """
@@ -196,5 +196,5 @@
     target = 'manage'
 
-class HostelManageFormPage(SIRPEditFormPage):
+class HostelManageFormPage(KOFAEditFormPage):
     """ View to edit hostel data
     """
@@ -261,11 +261,11 @@
         switched = [] # for log file
         switched_translated = [] # for flash message
-        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
         preferred_language = self.request.cookies.get(
-            'sirp.language', portal_language)
+            'kofa.language', portal_language)
         for bed_id in child_id:
             message = self.context[bed_id].switchReservation()
             switched.append('%s (%s)' % (bed_id,message))
-            m_translated = translate(message, 'waeup.sirp',
+            m_translated = translate(message, 'waeup.kofa',
                 target_language=preferred_language)
             switched_translated.append('%s (%s)' % (bed_id,m_translated))
@@ -306,5 +306,5 @@
         return
 
-class BedManageFormPage(SIRPEditFormPage):
+class BedManageFormPage(KOFAEditFormPage):
     """ View to edit bed data
     """
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 7811)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL"
-    i18n:domain="waeup.sirp"
+    i18n:domain="waeup.kofa"
     method="POST" enctype="multipart/form-data">
   <table>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containerpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containerpage.pt	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containerpage.pt	(revision 7811)
@@ -1,8 +1,8 @@
-<div i18n:domain="waeup.sirp"
+<div i18n:domain="waeup.kofa"
    i18n:translate="" tal:condition="python: not len(context.keys())">
 There no subobjects registered yet.
 </div>
 
-<table i18n:domain="waeup.sirp">
+<table i18n:domain="waeup.kofa">
   <thead>
     <tr>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 7811)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="POST"
-      i18n:domain="waeup.sirp" enctype="multipart/form-data">
+      i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
   <ul class="tabs" data-tabs="tabs">
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/catalog.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/catalog.py	(revision 7811)
@@ -20,6 +20,6 @@
 import grok
 from grok import index
-from waeup.sirp.interfaces import IUniversity
-from waeup.sirp.hostels.interfaces import IBed
+from waeup.kofa.interfaces import IUniversity
+from waeup.kofa.hostels.interfaces import IBed
 
 class BedIndexes(grok.Indexes):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py	(revision 7811)
@@ -20,6 +20,6 @@
 """
 import grok
-from waeup.sirp.hostels.interfaces import IHostelsContainer, IHostel
-from waeup.sirp.utils.logger import Logger
+from waeup.kofa.hostels.interfaces import IHostelsContainer, IHostel
+from waeup.kofa.utils.logger import Logger
 
 class HostelsContainer(grok.Container, Logger):
@@ -48,5 +48,5 @@
         return
 
-    logger_name = 'waeup.sirp.${sitename}.hostels'
+    logger_name = 'waeup.kofa.${sitename}.hostels'
     logger_filename = 'hostels.log'
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 7811)
@@ -22,9 +22,9 @@
 from zope.event import notify
 from datetime import datetime
-from waeup.sirp.utils.helpers import attrs_to_fields
-from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
-from waeup.sirp.hostels.interfaces import IHostel, IBed, IBedAllocateStudent
-from waeup.sirp.students.interfaces import IBedTicket
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.utils.helpers import attrs_to_fields
+from waeup.kofa.hostels.vocabularies import NOT_OCCUPIED
+from waeup.kofa.hostels.interfaces import IHostel, IBed, IBedAllocateStudent
+from waeup.kofa.students.interfaces import IBedTicket
+from waeup.kofa.interfaces import MessageFactory as _
 
 class Hostel(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 7811)
@@ -18,15 +18,15 @@
 from zope.interface import invariant, Invalid
 from zope import schema
-from waeup.sirp.interfaces import ISIRPObject
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.hostels.vocabularies import (
+from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.hostels.vocabularies import (
     bed_letters, blocks, special_handling, StudentSource)
 
-class IHostelsContainer(ISIRPObject):
+class IHostelsContainer(IKOFAObject):
     """A container for all kind of hostel objects.
 
     """
 
-class IHostel(ISIRPObject):
+class IHostel(IKOFAObject):
     """A base representation of hostels.
 
@@ -146,5 +146,5 @@
             raise Invalid(_('Bed categories overlap.'))
 
-class IBed(ISIRPObject):
+class IBed(IKOFAObject):
     """A base representation of beds.
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py	(revision 7811)
@@ -30,13 +30,13 @@
 from zope.catalog.interfaces import ICatalog
 from zope.component import queryUtility
-from waeup.sirp.app import University
-from waeup.sirp.hostels.interfaces import (
+from waeup.kofa.app import University
+from waeup.kofa.hostels.interfaces import (
     IHostelsContainer, IHostel, IBed)
-from waeup.sirp.hostels.container import HostelsContainer
-from waeup.sirp.hostels.hostel import Hostel, Bed
-from waeup.sirp.testing import (FunctionalLayer, FunctionalTestCase)
-from waeup.sirp.students.student import Student
-from waeup.sirp.students.accommodation import BedTicket
-from waeup.sirp.university.department import Department
+from waeup.kofa.hostels.container import HostelsContainer
+from waeup.kofa.hostels.hostel import Hostel, Bed
+from waeup.kofa.testing import (FunctionalLayer, FunctionalTestCase)
+from waeup.kofa.students.student import Student
+from waeup.kofa.students.accommodation import BedTicket
+from waeup.kofa.university.department import Department
 
 class HostelsContainerTestCase(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py	(revision 7811)
@@ -22,6 +22,6 @@
 from zope.catalog.interfaces import ICatalog
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.sirp.interfaces import SimpleSIRPVocabulary
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import SimpleKOFAVocabulary
+from waeup.kofa.interfaces import MessageFactory as _
 
 NOT_OCCUPIED = u'not occupied'
@@ -54,5 +54,5 @@
         return "%s - %s" % (value, self.acco_students(context)[value])
 
-bed_letters = SimpleSIRPVocabulary(
+bed_letters = SimpleKOFAVocabulary(
     (_('Bed A'),'A'),
     (_('Bed B'),'B'),
@@ -66,5 +66,5 @@
     )
 
-blocks = SimpleSIRPVocabulary(
+blocks = SimpleKOFAVocabulary(
     (_('Block A'),'A'),
     (_('Block B'),'B'),
@@ -84,5 +84,5 @@
     )
 
-special_handling = SimpleSIRPVocabulary(
+special_handling = SimpleKOFAVocabulary(
     (_('Regular Hostel'),'regular'),
     (_('Blocked Hostel'),'blocked'),
Index: /main/waeup.kofa/trunk/src/waeup/kofa/image/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/image/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/image/__init__.py	(revision 7811)
@@ -3,8 +3,8 @@
 Includings schemas, widgets and the content components.
 """
-from waeup.sirp.image.image import SIRPImageFile, createSIRPImageFile
+from waeup.kofa.image.image import KOFAImageFile, createKOFAImageFile
 
 __all__ = [
-    "SIRPImageFile",
-    "createSIRPImageFile",
+    "KOFAImageFile",
+    "createKOFAImageFile",
     ]
Index: /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/__init__.py	(revision 7811)
@@ -1,5 +1,5 @@
 # The public API part
 # Contains the widgets defined for image files.
-from waeup.sirp.image.browser.widget import (
+from waeup.kofa.image.browser.widget import (
     EncodingImageFileWidget, ThumbnailWidget,
     )
Index: /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/tests/test_views.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/tests/test_views.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/tests/test_views.py	(revision 7811)
@@ -30,5 +30,5 @@
 from hurry.file.file import IdFileRetrieval
 from hurry.file.interfaces import IFileRetrieval
-from waeup.sirp.image.browser.views import HurryFileView
+from waeup.kofa.image.browser.views import HurryFileView
 from zope.component import getMultiAdapter, provideUtility
 from zope.publisher.browser import TestRequest
@@ -41,9 +41,9 @@
 class ImageBrowserViewsLayer(object):
     """A layer that registers all components in
-       `waeup.sirp.image.browser.views` module.
+       `waeup.kofa.image.browser.views` module.
     """
     @classmethod
     def setUp(cls):
-        grok.testing.grok('waeup.sirp.image.browser.views')
+        grok.testing.grok('waeup.kofa.image.browser.views')
 
     @classmethod
Index: /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/widget.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/widget.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/image/browser/widget.py	(revision 7811)
@@ -19,5 +19,5 @@
 """
 import os
-from waeup.sirp.image import SIRPImageFile
+from waeup.kofa.image import KOFAImageFile
 from hurry.file.browser.widget import (
     EncodingFileWidget, DownloadWidget, FakeFieldStorage)
@@ -62,5 +62,5 @@
                 seek(0)
                 return retrieval.createFile(input.filename, input)
-            return SIRPImageFile(input.filename, data)
+            return KOFAImageFile(input.filename, data)
         else:
             return self.context.missing_value
@@ -143,5 +143,5 @@
         data = file_id.decode('base64')
         filename, filedata = data.split('\n', 1)
-        return SIRPImageFile(filename, filedata)
+        return KOFAImageFile(filename, filedata)
 
 class ThumbnailWidget(DownloadWidget):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/image/image.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/image/image.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/image/image.py	(revision 7811)
@@ -23,7 +23,7 @@
 from zope.component import getUtility
 from zope.interface import implements
-from waeup.sirp.image.interfaces import ISIRPImageFile
+from waeup.kofa.image.interfaces import IKOFAImageFile
 
-class SIRPImageFile(HurryFile):
+class KOFAImageFile(HurryFile):
     """A file prepared for storing image files.
 
@@ -32,8 +32,8 @@
     regular hurry files.
 
-    To create a :class:`SIRPImageFile` you should use
-    :func:`createSIRPImageFile`.
+    To create a :class:`KOFAImageFile` you should use
+    :func:`createKOFAImageFile`.
     """
-    implements(ISIRPImageFile)
+    implements(IKOFAImageFile)
 
     def __ne__(self, other):
@@ -45,5 +45,5 @@
             return True
 
-def createSIRPImageFile(filename, f):
+def createKOFAImageFile(filename, f):
     retrieval = getUtility(IFileRetrieval)
     return retrieval.createFile(filename, f)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/image/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/image/interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/image/interfaces.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Interfaces for waeup.sirp.image
+"""Interfaces for waeup.kofa.image
 """
 from hurry.file.interfaces import IFile, IFileRetrieval, IHurryFile
@@ -23,9 +23,9 @@
     """Image file field.
     """
-    
-class ISIRPImageFile(IHurryFile):
+
+class IKOFAImageFile(IHurryFile):
     """Image file.
     """
-    
+
 class IImageFileRetrieval(IFileRetrieval):
     """A file retrieval for images.
Index: /main/waeup.kofa/trunk/src/waeup/kofa/image/schema.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/image/schema.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/image/schema.py	(revision 7811)
@@ -22,6 +22,6 @@
 from zope.schema.interfaces import TooBig, TooSmall
 from hurry.file.schema import File
-from waeup.sirp.image.interfaces import IImageFile
-from waeup.sirp.image.image import SIRPImageFile
+from waeup.kofa.image.interfaces import IImageFile
+from waeup.kofa.image.image import KOFAImageFile
 
 class MinMaxSize(object):
@@ -82,3 +82,3 @@
     implements(IImageFile)
 
-    _type = SIRPImageFile
+    _type = KOFAImageFile
Index: /main/waeup.kofa/trunk/src/waeup/kofa/imagestorage.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/imagestorage.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/imagestorage.py	(revision 7811)
@@ -18,5 +18,5 @@
 """A storage for image (and other) files.
 
-A few words about storing files with ``waeup.sirp``. The need for this
+A few words about storing files with ``waeup.kofa``. The need for this
 feature arised initially from the need to store passport files for
 applicants and students. These files are dynamic (can be changed
@@ -57,5 +57,5 @@
 :class:`ExtFileStore`. An instance of this file storage (which is also
 able to store non-image files) is available at runtime as a global
-utility implementing :class:`waeup.sirp.interfaces.IExtFileStore`.
+utility implementing :class:`waeup.kofa.interfaces.IExtFileStore`.
 
 The main task of this central component is to maintain a filesystem
@@ -68,5 +68,5 @@
   >>> from StringIO import StringIO
   >>> from zope.component import getUtility
-  >>> from waeup.sirp.interfaces import IExtFileStore
+  >>> from waeup.kofa.interfaces import IExtFileStore
   >>> store = getUtility(IExtFileStore)
   >>> store.createFile('myfile.txt', StringIO('some file content'))
@@ -120,10 +120,10 @@
 
 Examples for such a file store handler can be found in the
-:mod:`waeup.sirp.applicants.applicant` module. Please see also the
+:mod:`waeup.kofa.applicants.applicant` module. Please see also the
 :class:`DefaultFileStoreHandler` class below for more details.
 
 The file store looks up handlers by utility lookups: it looks for a
 named utiliy providing
-:class:`waeup.sirp.interfaces.IFileStoreHandler` and named like the
+:class:`waeup.kofa.interfaces.IFileStoreHandler` and named like the
 marker string (without leading/trailing underscores) in lower
 case. For example if the file id would be
@@ -135,5 +135,5 @@
   ``img_user``
 
-and provide :class:`waeup.sirp.interfaces.IFileStoreHandler`. If no
+and provide :class:`waeup.kofa.interfaces.IFileStoreHandler`. If no
 such utility can be found, a default handler is used instead
 (see :class:`DefaultFileStoreHandler`).
@@ -141,5 +141,5 @@
 **About File IDs and Filenames**
 
-In the waeup.sirp package we want to store documents like CVs,
+In the waeup.kofa package we want to store documents like CVs,
 photographs, and similar. Each of this documents might come into the
 system with different filename extensions. This could be a problem as
@@ -193,5 +193,5 @@
 something like:
 
-  >>> from waeup.sirp.interfaces import IFileStoreNameChooser
+  >>> from waeup.kofa.interfaces import IFileStoreNameChooser
   >>> file_id = IFileStoreNameChooser(my_context_obj)
 
@@ -218,5 +218,5 @@
 from zope.component import queryUtility
 from zope.interface import Interface
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IFileStoreNameChooser, IExtFileStore, IFileStoreHandler,)
 
@@ -229,5 +229,5 @@
     special type of context.
 
-    Provides the :class:`waeup.sirp.interfaces.IFileStoreNameChooser`
+    Provides the :class:`waeup.kofa.interfaces.IFileStoreNameChooser`
     interface.
 
@@ -285,5 +285,5 @@
     want to change this path -- it is dynamic. That means, if you call
     the file store from 'within' a site, the root path will be located
-    inside this site (a :class:`waeup.sirp.University` instance). If
+    inside this site (a :class:`waeup.kofa.University` instance). If
     you call it from 'outside' a site some temporary dir (always the
     same during lifetime of the file store instance) will be used. The
@@ -299,5 +299,5 @@
 
     An ExtFileStore instance is available as a global utility
-    implementing :class:`waeup.sirp.interfaces.IExtFileStore`.
+    implementing :class:`waeup.kofa.interfaces.IExtFileStore`.
 
     To add and retrieve files from the storage, use the appropriate
@@ -505,5 +505,5 @@
 
     Registered globally as utility for
-    :class:`waeup.sirp.interfaces.IFileStoreHandler`.
+    :class:`waeup.kofa.interfaces.IFileStoreHandler`.
     """
     grok.implements(IFileStoreHandler)
